From a39e1a34c78a79e048e327430b39b9c81ef09a37 Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Tue, 24 Apr 2012 18:51:59 +0300
Subject: [PATCH] format-3.0
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 debian/changelog                                            |   11 +++++++++++
 debian/compat                                               |    2 +-
 debian/control                                              |    8 +++++---
 debian/copyright                                            |    2 +-
 debian/patches/00list                                       |    3 ---
 debian/patches/{01svn-r196.dpatch => 01-svn-r196.patch}     |    8 ++------
 debian/patches/{02svndocdiff.dpatch => 02-svndocdiff.patch} |    8 ++------
 debian/patches/{03cgipath.dpatch => 03-cgipath.patch}       |    8 ++------
 debian/patches/series                                       |    3 +++
 debian/rules                                                |    1 -
 debian/source/format                                        |    1 +
 11 files changed, 28 insertions(+), 27 deletions(-)
 delete mode 100644 debian/patches/00list
 rename debian/patches/{01svn-r196.dpatch => 01-svn-r196.patch} (96%)
 rename debian/patches/{02svndocdiff.dpatch => 02-svndocdiff.patch} (79%)
 rename debian/patches/{03cgipath.dpatch => 03-cgipath.patch} (82%)
 create mode 100644 debian/patches/series
 create mode 100644 debian/source/format

diff --git a/debian/changelog b/debian/changelog
index 8270188..7cf5515 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,14 @@
+docdiff (0.4.0-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
+  * Update to Standards-Version to 3.9.3 and debhelper to 9.
+  * Fix clean-should-be-satisfied-by-build-depends cdbs debhelper (Lintian).
+  * Fix copyright-without-copyright-notice (Lintian).
+  * Fix no-homepage-field (Lintian).
+
+ -- Jari Aalto <jari.aalto@cante.net>  Tue, 24 Apr 2012 18:51:46 +0300
+
 docdiff (0.4.0-1) unstable; urgency=low
 
   * New upstream release
diff --git a/debian/compat b/debian/compat
index 7ed6ff8..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-5
+9
diff --git a/debian/control b/debian/control
index 85bbeb4..2aef45f 100644
--- a/debian/control
+++ b/debian/control
@@ -2,12 +2,14 @@ Source: docdiff
 Section: text
 Priority: optional
 Maintainer: Kenshi Muto <kmuto@debian.org>
-Build-Depends-Indep: debhelper (>> 5.0), cdbs (>= 0.4.27), dpatch (>= 1.11), ruby, ruby-dev, docbook-to-man
-Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 9), cdbs (>= 0.4.27)
+Build-Depends-Indep: ruby, ruby-dev, docbook-to-man
+Standards-Version: 3.9.3
+Homepage: http://sourceforge.net/projects/docdiff
 
 Package: docdiff
 Architecture: all
-Depends: ruby | ruby1.9.1
+Depends: ${misc:Depends}, ruby | ruby-interpreter
 Suggests: httpd
 Description: Compares two files word by word / char by char
  DocDiff compares two files and shows the difference.  It can compare files
diff --git a/debian/copyright b/debian/copyright
index ae625ca..cbcb40f 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -14,7 +14,7 @@ that your contribution may be incorporated under the same license.
 
 Copyright and condition of use of main portion of the source:
 
-    Copyright (C) Hisashi MORITA.  All rights reserved.
+    Copyright (C) 2000-2011 Hisashi MORITA.  All rights reserved.
 
     Redistribution and use in source and binary forms, with or without
     modification, are permitted provided that the following conditions
diff --git a/debian/patches/00list b/debian/patches/00list
deleted file mode 100644
index fa90377..0000000
--- a/debian/patches/00list
+++ /dev/null
@@ -1,3 +0,0 @@
-01svn-r196.dpatch
-02svndocdiff.dpatch
-03cgipath.dpatch
diff --git a/debian/patches/01svn-r196.dpatch b/debian/patches/01-svn-r196.patch
similarity index 96%
rename from debian/patches/01svn-r196.dpatch
rename to debian/patches/01-svn-r196.patch
index 8f1c95e..57a1109 100644
--- a/debian/patches/01svn-r196.dpatch
+++ b/debian/patches/01-svn-r196.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 01svn-r196.dpatch by Kenshi Muto <kmuto@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: No description.
+From: Kenshi Muto <kmuto@debian.org>
+Subject: No description.
 
-@DPATCH@
 diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' docdiff-0.4.0~/Makefile docdiff-0.4.0/Makefile
 --- docdiff-0.4.0~/Makefile	2011-02-23 02:03:17.000000000 +0900
 +++ docdiff-0.4.0/Makefile	2011-02-26 17:48:10.956690655 +0900
diff --git a/debian/patches/02svndocdiff.dpatch b/debian/patches/02-svndocdiff.patch
similarity index 79%
rename from debian/patches/02svndocdiff.dpatch
rename to debian/patches/02-svndocdiff.patch
index ed2873a..498b5cb 100644
--- a/debian/patches/02svndocdiff.dpatch
+++ b/debian/patches/02-svndocdiff.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 02svndocdiff.dpatch by Kenshi Muto <kmuto@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: No description.
+From: Kenshi Muto <kmuto@debian.org>
+Subject: No description.
 
-@DPATCH@
 diff -urNad docdiff-0.3.4~/docdiff/view.rb docdiff-0.3.4/docdiff/view.rb
 --- docdiff-0.3.4~/docdiff/view.rb	2007-12-09 08:14:09.000000000 +0000
 +++ docdiff-0.3.4/docdiff/view.rb	2007-12-10 05:54:55.000000000 +0000
diff --git a/debian/patches/03cgipath.dpatch b/debian/patches/03-cgipath.patch
similarity index 82%
rename from debian/patches/03cgipath.dpatch
rename to debian/patches/03-cgipath.patch
index ad68790..fc7eb19 100644
--- a/debian/patches/03cgipath.dpatch
+++ b/debian/patches/03-cgipath.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 03cgipath.dpatch by Kenshi Muto <kmuto@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: No description.
+From: Kenshi Muto <kmuto@debian.org>
+Subject: No description.
 
-@DPATCH@
 diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' docdiff-0.4.0~/docdiffwebui.html docdiff-0.4.0/docdiffwebui.html
 --- docdiff-0.4.0~/docdiffwebui.html	2011-02-23 02:03:17.000000000 +0900
 +++ docdiff-0.4.0/docdiffwebui.html	2011-02-26 17:38:06.948692616 +0900
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..b958661
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1,3 @@
+01-svn-r196.patch
+02-svndocdiff.patch
+03-cgipath.patch
diff --git a/debian/rules b/debian/rules
index 1daf97a..5aa0a03 100755
--- a/debian/rules
+++ b/debian/rules
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/dpatch.mk
 
 DEB_MAKE_CLEAN_TARGET = 
 DEB_MAKE_BUILD_TARGET =
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
-- 
1.7.10

